org.etsi.uri._01903.v1_3

## Class Include

- java.lang.Object
- - org.etsi.uri._01903.v1_3.Include

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T07:52:42+02:00",
                 comments="JAXB RI v2.2.11")
      public class Include
      extends Object
      implements Serializable

  Java class for IncludeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="IncludeType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="URI" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="referencedData" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Include()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getURI()` Gets the value of the uri property.
    `Boolean` | `isReferencedData()` Gets the value of the referencedData property.
    `void` | `setReferencedData(Boolean value)` Sets the value of the referencedData property.
    `void` | `setURI(String value)` Sets the value of the uri property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Include

          public Include()

  - ### Method Detail

    - #### getURI

          public String getURI()

      Gets the value of the uri property.
      Returns:
        possible object is `String`

    - #### setURI

          public void setURI(String value)

      Sets the value of the uri property.
      Parameters:
        `value` - allowed object is `String`

    - #### isReferencedData

          public Boolean isReferencedData()

      Gets the value of the referencedData property.
      Returns:
        possible object is `Boolean`

    - #### setReferencedData

          public void setReferencedData(Boolean value)

      Sets the value of the referencedData property.
      Parameters:
        `value` - allowed object is `Boolean`

Connector Packaging TRUSSMAKER 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.